local BagsBarItems = {
	MainMenuBarBackpackButton, 
	CharacterBag0Slot, 
	CharacterBag1Slot,
	CharacterBag2Slot, 
	CharacterBag3Slot, 
	KeyRingButton
}

function MiniMainBar:InitBagsBar()
	for i = 1, 6 do
		local b =  BagsBarItems[i]
		b:SetParent(MiniMainBar_BagsBar)
	end
	
	MiniMainBar:HideBagsBar(self.db.profile.BagsBarHidden)
	MiniMainBar:LockBagsBar(self.db.profile.BagsBarLocked)
	MiniMainBar:ScaleBagsBar(self.db.profile.BagsBarScale)
end

function MiniMainBar:UpdateBagsBar()
	--if UnitHasVehicleUI("player") then return end 
	if UnitUsingVehicle("player") then return end 
	
	local b = MainMenuBarBackpackButton
	b:ClearAllPoints()
	b:SetPoint("BOTTOMRIGHT", MiniMainBar_BagsBar, "BOTTOMRIGHT", -24, 3)	
	
	local b = KeyRingButton
	b:ClearAllPoints()
    b:SetPoint("BOTTOMRIGHT", MiniMainBar_BagsBar, "BOTTOMRIGHT", -2, 2)
	
	MiniMainBar:HideBagsBar(self.db.profile.BagsBarHidden)
	
	if not self.db.profile.BagsBarHidden then
		MiniMainBar:LockBagsBar(self.db.profile.BagsBarLocked)
		MiniMainBar:ScaleBagsBar(self.db.profile.BagsBarScale)
		
		MiniMainBar_BagsBar:ClearAllPoints()
		MiniMainBar_BagsBar:SetPoint(
			self.db.profile.BagsBarPoint.Point, 
			WorldFrame, 
			self.db.profile.BagsBarPoint.RelativePoint,
			self.db.profile.BagsBarPoint.XOffset,  
			self.db.profile.BagsBarPoint.YOffset
		)
	end
end

function MiniMainBar:HideBagsBar(value)
	if value then
		MiniMainBar_BagsBar:Hide()	
	else
		MiniMainBar_BagsBar:Show()	
	end
end

function MiniMainBar:LockBagsBar(value)
	if value then
		MiniMainBar_BagsBar:SetMovable(false);
		MiniMainBar_BagsBar:RegisterForDrag(nil)
		MiniMainBar_BagsBar:SetBackdrop({ })
	else
		MiniMainBar_BagsBar:SetMovable(true);
		MiniMainBar_BagsBar:RegisterForDrag("RightButton")
		MiniMainBar_BagsBar:SetBackdrop({ 
			bgFile = "Interface/DialogFrame/UI-DialogBox-Background" 
		})
	end
end

function MiniMainBar:ScaleBagsBar(value)
	MiniMainBar_BagsBar:SetScale(value)
end

function MiniMainBar_BagsBar_OnDragStart()
	if MiniMainBar.db.char.BagsBarLocked then return end
	
	this:StartMoving();
	this.isMoving = true;
end

function MiniMainBar_BagsBar_OnDragStop()
	MiniMainBar_BagsBar:StopMovingOrSizing();
	MiniMainBar_BagsBar.isMoving = false;
	
	Point, RelativeTo, RelativePoint, XOffset, YOffset = MiniMainBar_BagsBar:GetPoint()
	
	MiniMainBar.db.profile.BagsBarPoint.XOffset = XOffset
	MiniMainBar.db.profile.BagsBarPoint.YOffset = YOffset
	MiniMainBar.db.profile.BagsBarPoint.Point = Point						
	MiniMainBar.db.profile.BagsBarPoint.RelativePoint = RelativePoint
end
